Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.

Các bài được khuyến nghị

lp_hai    207

theo em nghĩ thì Đề của bác nên đổi lại là Tạo text như thế nào để ko dùng TXTEXP được.

Chứ bác đố text mà cho bằng hình vẽ thì hơi trừu tượng quá, (em ko tìm được đáp án của bác nên cứ nghĩ cái text màu trắng đó chắc ko phải là TEXT mà do bác hatch ??? >-<) hehehhe

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
phamthanhbinh    3.123

Wellcom Haanh!!

Hề hề hề,

Bác này thu hoạch nhiều khoai quá,

Bác gửi cái bản vẽ lên thì may ra còn biết đường mà mò chứ gửi nhõn cái hình thế này thì đúng là "Khoai ơi là khoai" bác ạ.

  • Vote tăng 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Truong_AAn    68

Hề hề hề,

Bác này thu hoạch nhiều khoai quá,

Bác gửi cái bản vẽ lên thì may ra còn biết đường mà mò chứ gửi nhõn cái hình thế này thì đúng là "Khoai ơi là khoai" bác ạ.

Pác hiểu nhầm em rồi. Lâu quá em không thấy pác haanh khấy động forum. hôn nay thấy pác ấy post bài em chào pác ấy 1 câu thôi chứ em đâu có thắc mắc gì đâu mà gửi bản vẽ pác nhỉ. Còn cái hình em để cho vui thôi. Em thấy cadviet là nơi để giao lưu học hỏi những vấn đề về cad và ngoài ra còn giải trí nữa mà phải không pác. Em tham gia không phải để "thu hoạch khoai" vì "khoai" trên cadviet chả làm em no cái bụng được bác ah. Nếu pác thấy cái hình em để mà "ngứa con mắt bên phải, đỏ con mắt bên trái" của pác thì pác hãy thể hiện là một "mod" đi. Mod thì ngoài cái quyền chế nhạo người khác pác có thể cảnh cáo, unlike, ban nick.... hii buồn cười :D

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
haanh    1.587

@ Bác Truong_AAn

Bác Truong_AAn hình như mới tham gia diễn đàn nên chưa hiểu bác Bình đó thôi. Bác Bình vốn là người biết đùa và thích đùa hạng nặng.

Khi bác Bình viết:

Hề hề hề,

Bác này thu hoạch nhiều khoai quá,

Bác gửi cái bản vẽ lên thì may ra còn biết đường mà mò chứ gửi nhõn cái hình thế này thì đúng là "Khoai ơi là khoai" bác ạ.

Là bác ấy viết cho Haanh, sao bác lại vơ câu nói đó về mình nhỉ???

(Việc bác Bình trích dẫn bài viết của bác chỉ đơn giản là bác ấy cũng muốn nói với Haanh : Wellcom Haanh!! ).

Chuyện về khoai nhiều lắm, em còn có cả những kỷ niệm về khoai giun giun với bác Bình nữa:

Vui nhất là cái vần inh

Hôm nay được gặp bác Bình hê hê ( Hề, hề, hề)

Bác vừa đi mót xa về

Em nghe thấy tiếng hề hề từ xa

 

Về hình ảnh hài, có lẽ nó chỉ phù hợp với diễn đàn dành riêng cho phái mạnh. Ở diễn đàn CADViet, chị em phụ nữ tham gia nhiều, e không hợp .

Tuy là người thích đùa song bác Bình cũng là người rất thẳng tính và cũng rất dễ tính. Bác đừng viết những suy diễn chủ quan trong bụng mình ra để nói với bác Bình như thế không hay tẹo nào!

Em vào diễn đàn để học hỏi giao lưu chia sẻ là chính và VLC (vui là chính), nghĩ sao viết vậy, có gì không phải cũng mong được bác hiểu và hiểu.

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
haanh    1.587

theo em nghĩ thì Đề của bác nên đổi lại là Tạo text như thế nào để ko dùng TXTEXP được.

Chứ bác đố text mà cho bằng hình vẽ thì hơi trừu tượng quá, (em ko tìm được đáp án của bác nên cứ nghĩ cái text màu trắng đó chắc ko phải là TEXT mà do bác hatch ??? >-<) hehehhe

Nếu là đố vui trong chuyên mục thư giãn thì đáp án của bác là tuyệt tác và bất hủ. Đây là đố vui trong chuyên mục Mẹo sử dụng AutoCAD, mọi thứ phải rõ ràng minh bạch và dứt điểm là không chơi kiểu text là hatch bác ạ, bác đọc kỹ lại đề bài nhé!

 

sssssaaaa.jpg

 

Ảnh trên là chữ CADViet.com được viết trên khối solid mầu xanh. Trong công việc vẽ 3D, muốn tạo chữ nổi 3D phải dùng lệnh txtexp để phá vỡ đối tượng là chữ . Tuy nhiên không phải lúc nào cũng thực hiện được bằng lệnh txtexp.

 

Vì sao không dùng được lệnh txtexp để phá vỡ đối tượng là chữ mầu trắng??? Muốn phá vỡ được được chữ mầu trắng như chữ mầu xanh ở phía dưới để dựng hình chữ 3D phải làm gì???

 

Xin mời các bác tiếp tục thư giãn!

Hề hề hề,

Bác này thu hoạch nhiều khoai quá,

Bác gửi cái bản vẽ lên thì may ra còn biết đường mà mò chứ gửi nhõn cái hình thế này thì đúng là "Khoai ơi là khoai" bác ạ.

Chưa chắc đâu bác ơi! Em nghĩ, nếu bác nào thích tìm hiểu, tự vẽ, sẽ có dễ có câu trả lời hơn. Nếu bác nào khắc nhiều chữ lên hình 3D, chắc chắn sẽ có lần gặp phải tình huống "Tuy nhiên không phải lúc nào cũng thực hiện được bằng lệnh txtexp".

 

Xin mời các bác tiếp tục thư giãn cho vui! (gợi ý : hình ảnh em ra câu đố, không phải là hình chiếu bằng )

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
lp_hai    207

Theo như cái gợi ý của bác thì nó là đáp án rồi :) vì lệnh txtexp chỉ thự hiện được ở view 0 0 1 là nhìn từ trên xuống

Command: TXTEXP

Initializing...

View needs to be in plan (0 0 1).

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
haanh    1.587

Vậy trong trường hợp cụ thể như hình ảnh em đưa ra, làm thế nào để thực hiện được lệnh : TXTEXP ???

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
haanh    1.587

Lời giải:

Lệnh TXTEXP không thực hiện được khi:

Command: txtexp

Initializing...

View needs to be in plan (0 0 1).

Do 2 nguyên nhân:

1/ Hình vẽ đang xem ở chế độ Free Orbit

2/ Phương và chiều OX và OY của hệ trục tọa độ bị thay đổi

Cách khắc phục :

Gõ lệnh Plan > Enter 2 lần.

 

yititykotyrggg.jpg

(Nguồn câu đố: http://www.cadviet.c...showtopic=64710)

 

Câu đố tiếp theo là: Vì sao mặt cắt của tay vịn bị xoắn dần đều? Cách khắc phục??? Xin mời các bác tiếp tục thư giãn!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
haanh    1.587

sdgsdafasdv.jpg

 

Câu 1: Vẽ một nửa hình ELLIPSE. (Câu này dễ)

Câu 2: Vẽ hình chữ nhật 30x50 và bo tròn 4xR10 . (Câu này hơi bị khoai)

Trông hình thì đơn giản vậy, nhưng để các thao tác vẽ thể hiện trên dòng Command là ngắn nhất, không đơn giản tẹo nào. Các bác thử xem???

Lưu ý: Chỉ vẽ và ghi kích thước như hình ảnh, không kẻ vẽ thêm đường phụ vì phải mất công xóa đi.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
onfuture    13

sdgsdafasdv.jpg

 

Câu 1: Vẽ một nửa hình ELLIPSE. (Câu này dễ)

Câu 2: Vẽ hình chữ nhật 30x50 và bo tròn 4xR10 . (Câu này hơi bị khoai)

Trông hình thì đơn giản vậy, nhưng để các thao tác vẽ thể hiện trên dòng Command là ngắn nhất, không đơn giản tẹo nào. Các bác thử xem???

Lưu ý: Chỉ vẽ và ghi kích thước như hình ảnh, không kẻ vẽ thêm đường phụ vì phải mất công xóa đi.

 

Command: rec RECTANG

Specify first corner point or [Chamfer/Elevation/Fillet/Thickness/Width]: f

Specify fillet radius for rectangles <0.00>: 10

Specify first corner point or [Chamfer/Elevation/Fillet/Thickness/Width]:

Specify other corner point or [Area/Dimensions/Rotation]: d

Specify length for rectangles <10.00>: 50

Specify width for rectangles <10.00>: 30

Specify other corner point or [Area/Dimensions/Rotation]:

 

Tổng cộng: 4 lệnh thì xong hình vuông theo đề bài.

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
haanh    1.587

1-Cách của bác khá hay và tương đối nhanh. Nhưng nếu vẽ Rec trước, ghi kích thước sau sẽ bất tiện ở chỗ phải Polar tracking bắt điểm đầu và cuối nên hơi mất thời gian hơn là ghi kích thước kiểu nhập giá trị số (một công đôi việc)

2- Điều kiện đầu bài ra là các thao tác thể hiện trên dòng command là ngắn nhất : chưa đạt vì phải mất 8 dòng > đáp án chỉ có 6 dòng :rolleyes:

 

Đáp án : Vẽ đường kích thước 50 và 30 trước (phải nhập giá trị 50 và 30)>

sau đó Gõ REC > chọn r nhập giá trị: 10 > bắt hai điểm đầu của kt 50 và cuối của kt 30

 

Command: rec RECTANG

Current rectangle modes: Fillet=5.0000

Specify first corner point or [Chamfer/Elevation/Fillet/Thickness/Width]: f

Specify fillet radius for rectangles <5.0000>: 10

Specify first corner point or [Chamfer/Elevation/Fillet/Thickness/Width]: (Bắt điểm thứ 1)

Specify other corner point or [Area/Dimensions/Rotation]:(Bắt điểm thứ 2)

(Chỉ có 6 dòng trong lệnh vẽ Rec)

 

Gợi ý câu 1: Vẽ một nửa hình ELLIPSE

-Bước 1: Sử dụng chế độ bắt điểm Polartracking để vẽ kích thước 30 và 50 trước

- Bước 2: Vẽ một nửa ELLIPSE: ................................................................................................................................Câu này hay hơn câu 2

Xin mời bác Onfuture cùng các bác thư giãn !

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
haanh    1.587

dsdghsghel.jpg

 

Câu 1: Vẽ 3/4 hình ellipse (Sử dụng ít lệnh nhất).

Gợi ý: Sử dụng chế độ bắt điểm Polar Tracking để vẽ kích thước 30 và 50 trước, rồi tiếp tục Polar Tracking để vẽ 3/4 hình ellipse

Câu 2: Biến hình H1 thành hình H2 nhanh nhất (Sử dụng ít lệnh nhất).

Gợi ý: Hình chữ nhật trên được vẽ bằng lệnh Rectang.

Xin mời các bác tiếp tục thư giãn!

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
haanh    1.587

Xin lỗi bác Doan Van Ha : Câu hỏi em ra chưa rõ ràng. Song cũng rất vui là bác đã đưa ra một đáp án hay về cách sử dụng lệnh Array theo đường tròn. Em xin được sửa lại câu hỏi là:

Câu 2: Người khác vẽ xong hình H1, sếp không ưng ý bắt em phải sửa lại như hình H2. Thời gian tính bằng giây vì đã thông báo cắt điện, vậy em làm thế nào cho nhanh để sửa và in kịp bản vẽ cho sếp.

(Gợi ý: Hình chữ nhật vẽ bằng Rec)

 

Câu 1: Nếu bác có thời gian rảnh, bác giải đố bằng lisp để vẽ 1/4, 1/2, 3/4 hình ellispse càng vui!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Tue_NV    3.841

Xin lỗi bác Doan Van Ha : Câu hỏi em ra chưa rõ ràng. Song cũng rất vui là bác đã đưa ra một đáp án hay về cách sử dụng lệnh Array theo đường tròn. Em xin được sửa lại câu hỏi là:

Câu 2: Người khác vẽ xong hình H1, sếp không ưng ý bắt em phải sửa lại như hình H2. Thời gian tính bằng giây vì đã thông báo cắt điện, vậy em làm thế nào cho nhanh để sửa và in kịp bản vẽ cho sếp.

(Gợi ý: Hình chữ nhật vẽ bằng Rec)

 

Câu 1: Nếu bác có thời gian rảnh, bác giải đố bằng lisp để vẽ 1/4, 1/2, 3/4 hình ellispse càng vui!

Dùng lệnh Fillet -> Xác định bán kính bo = 0 -> Sử dụng tuỳ chọn P (Polyline)

 

Command: f FILLET

Current settings: Mode = TRIM, Radius = 0.0000

Select first object or [undo/Polyline/Radius/Trim/Multiple]: r

Specify filletradius <0.0000>: 0

 

Select first object or [undo/Polyline/Radius/Trim/Multiple]: p

Select 2D polyline or [Radius]: -> Pick chọn REC

4 lines were filleted

-> Xong rồi

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
haanh    1.587

Cảm ơn anh Tuệ đã tóm trúng hồn vía ...câu đố của em! Em chưa kịp nâng cấp câu đố, anh đã đưa ra đáp án :rolleyes: ( hi...hi...anh lại "phá hỏng" câu đố của em rồi :rolleyes: :rolleyes: ! . Ý tưởng ra câu đố của xuất phát từ topic này: http://www.cadviet.c...showtopic=1210.

Rõ ràng là có nhiều người vẫn chưa sử dụng hết tiềm năng vẽ của AutoCAD.

 

Nếu chỉ đơn giản có hai hình cần sửa thì chỉ cần : 1 là dùng lệnh Ro hoặc dùng 1 lệnh Mi là xong.

Nếu có nhiều hình cần phải sửa thì phải dùng tới lệnh FILLET hoặc lệnh CHAMFER với việc sử dụng tham số P để sửa mới nhanh được vì chỉ cần pik chuột một lần.

 

Command: cha CHAMFER

(TRIM mode) Current chamfer Dist1 = 14.0000, Dist2 = 14.0000

Select first line or [undo/Polyline/Distance/Angle/Trim/mEthod/Multiple]: d

Specify first chamfer distance <14.0000>: 0 Specify second chamfer distance

<0.0000>:

Select first line or [undo/Polyline/Distance/Angle/Trim/mEthod/Multiple]: p

Select 2D polyline:

4 lines were chamfered

 

dsdghsghel.jpg

 

Câu 1: Vẽ 3/4 hình ellipse (Sử dụng ít lệnh nhất).

Gợi ý: Sử dụng chế độ bắt điểm Polar Tracking để vẽ kích thước 30 và 50 trước, rồi tiếp tục Polar Tracking để vẽ 3/4 hình ellipse.

 

Còn câu 1 nữa, xin mời anh Tuệ và các bác cùng vui thư giãn!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Tue_NV    3.841

Cảm ơn anh Tuệ đã tóm trúng hồn vía ...câu đố của em! Em chưa kịp nâng cấp câu đố, anh đã đưa ra đáp án :rolleyes: ( hi...hi...anh lại "phá hỏng" câu đố của em rồi :rolleyes: :rolleyes: ! . Ý tưởng ra câu đố của xuất phát từ topic này: http://www.cadviet.c...showtopic=1210.

Rõ ràng là có nhiều người vẫn chưa sử dụng hết tiềm năng vẽ của AutoCAD.

 

Nếu chỉ đơn giản có hai hình cần sửa thì chỉ cần : 1 là dùng lệnh Ro hoặc dùng 1 lệnh Mi là xong.

Nếu có nhiều hình cần phải sửa thì phải dùng tới lệnh FILLET và CHAMFER với việc sử dụng tham số P để sửa mới nhanh được vì chỉ cần pik chuột một lần.

Command: cha CHAMFER

(TRIM mode) Current chamfer Dist1 = 14.0000, Dist2 = 14.0000

Select first line or [undo/Polyline/Distance/Angle/Trim/mEthod/Multiple]: d

Specify first chamfer distance <14.0000>: 0 Specify second chamfer distance

<0.0000>:

Select first line or [undo/Polyline/Distance/Angle/Trim/mEthod/Multiple]: p

Select 2D polyline:

4 lines were chamfered

 

dsdghsghel.jpg

 

Câu 1: Vẽ 3/4 hình ellipse (Sử dụng ít lệnh nhất).

Gợi ý: Sử dụng chế độ bắt điểm Polar Tracking để vẽ kích thước 30 và 50 trước, rồi tiếp tục Polar Tracking để vẽ 3/4 hình ellipse.

 

Còn câu 1 nữa, xin mời anh Tuệ và các bác cùng vui thư giản!

Cái này thì mình vẽ elipse có đường kính trục lớn là 50, đường kính trục nhỏ là 30 -> Sau đó chọn elipse vừa vẽ bấm Ctrol+1 -> Chỉnh End angle = 270 là xong

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
haanh    1.587

Em rất tiếc là anh đã không đọc kỹ câu hỏi: Nếu anh vẽ hình Ellipse trước rồi mới ghi kích thước sau thì sẽ chậm về thời gian. Em có thể khẳng định chắc chắn về việc này...Vì cái khó của câu đố và bí ẩn của câu đố là ở phần này....(....).

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
haanh    1.587

 

dsdghsghel.jpg

 

Câu 2: đã xong

 

Câu 1: Vẽ 3/4 hình ellipse (Sử dụng ít lệnh nhất).

Gợi ý: Sử dụng chế độ bắt điểm Polar Tracking để vẽ kích thước 30 và 50 trước, rồi tiếp tục Polar Tracking để vẽ 3/4 hình ellipse.

Còn câu 1 nữa, xin mời anh Tuệ và các bác cùng vui thư giãn!

Không thấy anh Tuệ hồi âm, em đành phải tự giải câu đố vậy, câu 1 chỉ cần dùng 2 lệnh vẽ cơ bản:

1-Vẽ kích thước 50 và 30 trước.

2-Vẽ 1/4, 1/2 hoặc 3/4 hình Ellipse bằng lệnh el

Command: el

ELLIPSE

Specify axis endpoint of ellipse or [Arc/Center]: a

Specify axis endpoint of elliptical arc or

:

Specify other endpoint of axis:

Specify distance to other axis or [Rotation]:

Specify start angle or [Parameter]: (Nhập góc ...tùy thuộc vào điểm chọn vẽ đầu tiên...)

Specify end angle or [Parameter/Included angle]: (Nhập góc...)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
haanh    1.587

fffwfwefweed.jpg

 

Xin mời các bác thư giãn tiếp với điều kiện: số thao tác ghi lại trên dòng command là ngắn nhất!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
haanh    1.587

Bác nói chính xác ! Trong vô số nghiệm có số điểm M nằm trên đường phân giác, có 2 nghiệm dễ vẽ nhất. Chắc chắn là bác đã giải được 02 nghiệm rồi ! :rolleyes: :rolleyes: :rolleyes:

 

Nghiệm thứ nhất là điểm M trùng với điểm O tại gốc tọa độ. Nghiệm thứ hai M nằm trên điểm giữa của kích thước góc 50 độ. Hai nghiệm này bắt trúng điểm M dễ hơn cả vồ ếch, bác ạ!

 

Còn lại (n-2) nghiệm nữa, tức là tìm nghiệm thứ ba, xin mời bác Doan Van Ha cùng các bác tiếp tục thư giãn!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
haanh    1.587

Giải theo giải tích lớp 12 được ko vậy bác ? hihix

Nếu giải được thì càng vui bác à! Mong bác sớm đưa ra đáp án!

 

Về giải toán AutoCAD bằng giải tích, trên diễn đàn đã có rồi. Thí dụ bài toán mà Hoan2182 đã đưa ra:

Em có:

- Đường thẳng d1 đi qua hai điểm A (25,0,50) và B(25,50,0)

- Đường thẳng d2 đi qua hai điểm C(0,25,0) và D(25,50,50)

Em đang loay hoay tìm cách vẽ đường vuông góc chung của hai đường thẳng này trên AutoCAD

1- Bác Anhcos đã đưa ra bài toán về không gian 3 chiều:

Gọi G là giao điểm vuông góc giữa đường thẳng qua M và đường thẳng có sẵn L.

G thuộc L --> phương trình tham số của L(t)

xG = StartPoint(0) + A*t

yG = StartPoint(1) + B*t

zG = StartPoint(2) + C*t

với (A,B,C) là vector chỉ phương của L, sử dụng thuộc tính L.Normal để xác định.

 

2- Bác Pdle cũng đưa ra thuật toán và tìm ra kết quả đúng:

Mặt phẳng vuông góc với d1 có phương trình là :

0x+50y-50z+D1=0

Mặt phẳng vuông góc với d2 có phương trình là:

25x+25y+50z+D2=0

Đường thẳng cần tìm có phương trình là:

0x+50y-50z+D1=0 và 25x+25y+25z+D2=0. Từ đây có thể dựng nó qua 2 điểm tìm được từ phương trình trên!

 

3- Bác Phamngoctukts lại sử dụng lisp để giải:

Bạn làm theo như bác anhcos chỉ là okê.

Với trường hợp là line mình có sẵn sub sau bạn có thể dùng luôn

Function distance(p1 As Variant, p2 As Variant) As Single
Dim x1, x2, y1, y2
x1 = p1(0): y1 = p1(1)
x2 = p2(0): y2 = p2(1)
distance = ((x1 - x2) ^ 2 + (y1 - y2) ^ 2) ^ 0.5
End Function

Sub linevuong(line As Object, p As Variant)
Dim p1 As Variant, p2 As Variant, pt(0 To 2) As Double
p1 = line.StartPoint
p2 = line.EndPoint
Dim circleObj As AcadCircle
Dim li As AcadLine
Dim radius As Double
radius = distance(p1, p)
Set circleObj = ThisDrawing.ModelSpace.AddCircle(p, radius)
Dim intPoints As Variant
intPoints = circleObj.IntersectWith(line, acExtendBoth)
pt(0) = (intPoints(0) + p1(0)) / 2: pt(1) = (intPoints(1) + p1(1)) / 2: pt(2) = 0
Set li = ThisDrawing.ModelSpace.AddLine(pt, p)
circleObj.Delete
End Sub

Sub ve()
Dim line As AcadLine
Dim pic As Double
Dim p As Double
Dim ob As AcadEntity
Dim l As AcadEntity
Dim po As Variant
ThisDrawing.Utility.GetEntity line, pic, "chon line"
po = ThisDrawing.Utility.GetPoint(, "chon diem: ")
linevuong line, po
End Sub

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×